%define name    popa3d
%define version 0.6.4.1
%define release 2mdk

%define section Networking/Mail
%define title   Popa3d
%define summary Tiny POP3 daemon

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        BSD
Group:          Networking/Mail
URL:            http://www.openwall.com/popa3d/
Source0:        %name-%version.tar.bz2
Source1:		popa3d-xinet
Source2:		popa3d-pam
Patch0:			popa3d-params.patch.bz2
Prereq:			rpm-helper
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:	pam-devel, /etc/pam.d/system-auth
Requires:		xinetd

%description
popa3d is a tiny POP3 daemon designed with security as the primary goal.

%prep
%setup -q
%patch -p0 -b .popa3d-params

%build
make LIBS="-lpam -lcrypt"

%install
rm -rf %buildroot

install -d $RPM_BUILD_ROOT%_var/empty
install -d $RPM_BUILD_ROOT%_sysconfdir/xinetd.d && \
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/popa3d
install -d $RPM_BUILD_ROOT%_sysconfdir/pam.d && \
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir/pam.d/popa3d

make install PREFIX=$RPM_BUILD_ROOT \
			SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
			MANDIR=$RPM_BUILD_ROOT%{_mandir}

%pre
%_pre_useradd popa3d /var/empty /bin/false

%postun
%_postun_userdel popa3d

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc LICENSE INSTALL DESIGN CHANGES CONTACT VIRTUAL
%dir %_var/empty
%config(noreplace) %_sysconfdir/xinetd.d/popa3d
%config(noreplace) /etc/pam.d/popa3d
%_mandir/man8/*
%defattr(755,root,root)
%_sbindir/*


%changelog
* Mon Aug 23 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.4.1-2mdk
- added /var/empty directory

* Sat Jul 24 2004 Michael Scherer <misc@mandrake.org> 0.6.4.1-1mdk
- New release 0.6.4.1

* Mon Apr 14 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6.2-3mdk
- small fix in patch macro
- fixed postun macro

* Fri Apr 11 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6.2-2mdk
- changed syslog facility to SYSLOG_MAIL in params.h

* Fri Apr 11 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6.2-1mdk
- initial import into Mandrake
	- create pam and xinetd config file
